/****************************************************************************
** 
** Copyleft (C) 1992-2000 Ricardo Stefani
**
** This file is based an example program for Qt.  
** This defines  the Main Window for chem2D
**
*****************************************************************************/

#ifndef APPLICATION_H
#define APPLICATION_H

#include <qmainwindow.h>
#include <qlist.h>
#include "chem2Deditor.h"
#include <chemdefs.h>

class QToolBar;
class QPopupMenu;
class QWorkspace;



class ApplicationWindow: public QMainWindow
{
    Q_OBJECT
public:
    ApplicationWindow();
    ~ApplicationWindow();
    TOOL SelectedTool;
private slots:
    chem2DEditor* newDoc();
    void load();
    void save();
    void saveAs();
    void print();
    void closeWindow();

    void about();
    void aboutQt();

    void windowsMenuAboutToShow();
    void windowsMenuActivated( int id );
    // SLOTS of chemistry Tools
    void ToolToggled(int id);
private:
    void CreateChemistryTools();
    QPrinter *printer;
    QWorkspace* ws;
    QToolBar *fileTools;
    QToolBar *chemistryTools; 
    QPopupMenu* windowsMenu;
};


#endif
